gsasl_server_callback_validate_set(3)

NAME
gsasl_server_callback_validate_set - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_server_callback_validate_set(Gsasl * ctx, Gsasl_server_callback_validate cb);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

Gsasl_server_callback_validate cb
    callback function

DESCRIPTION
Specify the callback function to use in the server for deciding if user is authenticated using authentication identity, authorization identity and password. The function can be later retrieved using gsasl_server_callback_validate_get().

DEPRECATED
This function is part of the old callback interface. The new interface uses gsasl_callback_set() to set the application callback, and uses gsasl_callback() or gsasl_property_get() to invoke the callback for certain properties.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.